FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

I am looking for an LTO tape library. Do you have one to spare?
Port details
py-poppler-qt4 0.18.1_1 graphics on this many watch lists=0 search for ports that depend on this port
Python bindings for the Poppler-Qt4 PDF rendering library
Maintained by: martin.dieringer@gmx.de search for ports maintained by this maintainer
Port Added: 06 Sep 2012 14:02:21
Also Listed In: python
License: LGPL21 LGPL3


Python bindings for graphics/poppler-qt4.

WWW: https://pypi.python.org/pypi/python-poppler-qt4/
SVNWeb : Main Web Site : Distfiles Availability : PortsMon

NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Required To Build:
  1. devel/py-sip
  2. x11-toolkits/py-qt4-gui
  3. textproc/py-qt4-xml
  4. devel/pkgconf
  5. devel/py-setuptools27
  6. lang/python27
Required To Run:
  1. x11-toolkits/py-qt4-gui
  2. textproc/py-qt4-xml
  3. devel/py-setuptools27
  4. lang/python27
Required Libraries:
  1. graphics/poppler-qt4

This port is required by:

for Run * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

To install the port: cd /usr/ports/graphics/py-poppler-qt4/ && make install clean
To add the package: pkg install graphics/py-poppler-qt4


Configuration Options
     No options to configure

Master Sites:
  1. http://distcache.FreeBSD.org/ports-distfiles/
  2. http://pypi.crate.io/packages/source/p/python-poppler-qt4/
  3. http://pypi.python.jp/pythonpoppler-qt4-/
  4. http://pypi.python.org/packages/source/p/python-poppler-qt4/

Number of commits found: 9

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
10 Sep 2014 20:50:37
Original commit files touched by this commit  0.18.1_1
Revision:367888
gerald search for other commits by this committer
Update the default version of GCC in the Ports Collection from GCC 4.7.4
to GCC 4.8.3.

Part II, Bump PORTREVISIONs.

PR:		192025
Tested by:	antoine (-exp runs)
Approved by:	portmgr (implicit)
07 Jun 2014 15:48:30
Original commit files touched by this commit  0.18.1
Revision:356916
antoine search for other commits by this committer
- Update to 0.18.1
- Unbreak and undeprecate

PR:		ports/190748
Submitted by:	maintainer
31 May 2014 20:47:59
Original commit files touched by this commit  0.16.3_3
Revision:356018
antoine search for other commits by this committer
Deprecated some ports that were already marked BROKEN in 2013

With hat:	portmgr
27 Dec 2013 16:54:22
Original commit files touched by this commit  0.16.3_3
Revision:337749
kwm search for other commits by this committer
Update poppler to 0.24.4.

Update comment.
Use new LIB_DEPENDS syntax, use USES=pathfix.
Stagify.

Bump portrevision of all affected ports, and Update poppler* LIB_DEPENDS to
new syntax.
20 Sep 2013 18:35:46
Original commit files touched by this commit  0.16.3_2
Revision:327733
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
graphics)
21 Mar 2013 05:27:16
Original commit files touched by this commit  0.16.3_2
Revision:314805
mezz search for other commits by this committer
- Update poppler to 0.22.2.
- Bump the rest ports that depend on the poppler and poppler-qt because of
  shared library version have been changed.
- Add a note in the UPDATING for require to rebuild all ports that depend
  on poppler.

Submitted by:	kwm (poppler* part)
03 Feb 2013 18:16:55
Original commit files touched by this commit  0.16.3_1
Revision:311476
makc search for other commits by this committer
Bump PORTREVISON after devel/py-sip and devel/qscintilla2 update.

x11-toolkits/py-qt:
- mark BROKEN: does not build with latest devel/py-sip
16 Dec 2012 16:05:22
Original commit files touched by this commit  0.16.3
Revision:309022
jhale search for other commits by this committer
- Update to 0.16.3

While here:
- Clean up *_DEPENDS syntax
- Add LICENSE (LGPL21 or later)

PR:		ports/174155
Submitted by:	Martin Dieringer <martin.dieringer@gmx.de> (maintainer)
06 Sep 2012 14:01:54
Original commit files touched by this commit  0.16.2
Revision:303753
makc search for other commits by this committer
Add new port graphics/py-poppler-qt4:

Python bindings for poppler-qt4.

WWW: http://python-poppler-qt4.googlecode.com

PR:		based on ports/171223
Submitted by:	Martin Dieringer <martin.dieringer at gmx.de>

Number of commits found: 9

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
asterisk11Sep 18
squidSep 18
squid33Sep 18
dbusSep 17
nginxSep 16
nginx-develSep 16
phpmyadminSep 13
ossec-hids-clientSep 11
ossec-hids-localSep 11
ossec-hids-serverSep 11
chromiumSep 09
trafficserverSep 05
apache22*Sep 03
apache22-event-mpm*Sep 03
apache22-itk-mpm*Sep 03

8 vulnerabilities affecting 19 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds


Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 24063
Broken 118
Deprecated 54
Ignore 370
Forbidden 4
Restricted 203
No CDROM 94
Vulnerable 21
Expired 6
Set to expire 49
Interactive 0
new 24 hours 6
new 48 hours8
new 7 days37
new fortnight70
new month233

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.